use std::env;

fn fibonacci(n: i32) -> i32 {
	if n == 0 {
	    return 0;
	}

        if n <= 1 {
            return 1;
        }
        else {
            return fibonacci(n - 1) + fibonacci(n - 2);
        }
}

fn main()
{
    for input in env::args().skip(1) {
       	let _i = match input.parse::<i32>() {
        	Ok(_i) => {
		println!("Fibonacci number {} is {} ", _i, fibonacci(_i));
        },
        Err(_e) => {
              println!("Ignoring {}", input)
            }
        };
    }
}

