use std::env;

fn main() {
    let path_val = env::var("PATH");
    if path_val.is_ok() {
        println!("PATH value is set!");
    }  else {
        println!("PATH env var is not defined!");
    }

    let my_path = path_val.unwrap();
    println!("{:?}", my_path);

    let split_path = my_path.split(":");
    for v in split_path {
        println!("{}", v)
    }
}
