module main
import os

fn main() {
	if os.args.len == 1 {
		println("Not enough arguments!")
		return
	}

	path := os.args[1]
	text := os.read_file(path) or {
    	println('Error in reading $path: $err')
    	return
	}

	lines := text.split_into_lines()
	for line in lines {
    	if line.starts_with('LXF:') {
        	println(line)
    	}
	}
}
