module main

import math

struct Issue {
	volume  string
	number  int
}

fn main() {
	x := math.log(10)
	x1 := f32(45.6)
	// x2 is a f64 floating point
	x2 := 4.3

	// The value of x1 is automatically promoted
	mut x3 := x1 + x2
	println('The value of x3 is $x3')

	x3 = 2 * x3 + x
	println(x3)

	// Check the type of a structure field
	$for field in Issue.fields {
		$if field.typ is int {
			println('$field.name is of type int')
		}
	}
}

