module main
import os

fn main() {
	if os.args.len != 2 {
		println('Need a file path parameter!')
		return
	}
	path := os.args[1]

	// Make sure that the path exists and is a file
	contents := os.read_file(path) or {
		println('Cannot open $path: $err')
		return
	}

	mut n_lines := 0
	mut n_words := 0
	mut n_chars := 0
	
	for line in contents.split_into_lines() {
		words := line.split_any(" \n")
		n_words += words.len
		n_lines++
		// Add 1 for the newline character
		n_chars += line.len + 1
	}

	println("Lines: $n_lines Words: $n_words Characters: $n_chars")
}
