import json

struct Issue {
	volume  string
	number  int
}

fn main() {
	s := '[{ "volume":"2021", "number":4}, {"volume":"2022", "number":3}]'

	mut issues := json.decode([]Issue, s) or {
		println('Failed to decode JSON: $err')
		return
	}

	for magazine in issues {
		println('LXF: Vol $magazine.volume + Number $magazine.number')
	}

	println('Now, encode it again!')
	// We are sure this is not going to fail
	println(json.encode(issues))
}
