module main

import os

fn main() {
	if os.args.len != 2 {
		println('Need a file path parameter!')
		return
	}
	path := os.args[1]

	// Make sure that the path exists
	if os.exists(path) == false {
		println("$path cannot be found!")
		return
	}

	contents := os.read_file(path.trim_space()) or {
		println('Cannot open $path: $err')
		return
	}

	for line in contents.split_into_lines() {
		println(line)
	}
}
