module main
import os

fn main() {
	if os.args.len != 2 {
		println('Need a valid path!')
		return
	}
	path := os.args[1]

	// Make sure the path does not exist
	if os.exists(path) {
		println('File $path already exists!')
		return
	}

	mut file := os.create(path) or {
		println("Cannot open $path for writing!")
		println('$err')
		return
	}
	message := 'Linux Format is the best!\n'
	mut n := file.write(message.bytes()) or {
		println('$err')
		return
	}
	file.close()
	println("Wrote $n bytes")

	// CAUTION
	// This overwrites the contents of the
	// existing file!!
	file = os.create(path) or {
		println("Cannot open $path for writing!")
		println('$err')
		return
	}

	n = file.write(message.bytes()) or {
		println('$err')
		return
	}
	file.close()
	println("Wrote $n bytes")

}
